## ros-humble-velodyne-description 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(velodyne_description)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch meshes rviz urdf world
  DESTINATION share/${PROJECT_NAME}
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/velodyne_description.dsv.in")

ament_package()

=== debian/changelog ===
ros-humble-velodyne-description (2.0.3-1bookworm) bookworm; urgency=high

  * Add dummy collision to avoid moveit warnings
  * Remove gazebo_ros dependency for velodyne_description
  * Contributors: Filip Sund, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 01 Dec 2022 16:00:00 -0000

ros-humble-velodyne-description (2.0.2-1bookworm) bookworm; urgency=high

  * Adds tf_prefix SDF parameter
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 26 Dec 2021 16:00:00 -0000

ros-humble-velodyne-description (2.0.1-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 13 Oct 2021 16:00:00 -0000

ros-humble-velodyne-description (2.0.0-1bookworm) bookworm; urgency=high

  * Merged in ROS2 Foxy support (pull request #14)
    * Remove support for old Gazebo versions
    * Lazy subscriber using timer in the absence of publisher connection callback
    * Python launch file
    * Add env-hooks for GAZEBO_MODEL_PATH
  * Contributors: Kevin Hallenbeck, Gonzalo de Pedro, Joep Tool

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 11 Oct 2021 16:00:00 -0000

ros-humble-velodyne-description (1.0.12-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 29 Mar 2021 16:00:00 -0000

ros-humble-velodyne-description (1.0.11-1bookworm) bookworm; urgency=high

  * Add organize_cloud parameter to match velodyne_pointcloud
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 22 Feb 2021 16:00:00 -0000

ros-humble-velodyne-description (1.0.10-1bookworm) bookworm; urgency=high

  * Change PointCloud visualization type from flat squares to points in example rviz config
  * Bump minimum CMake version to 3.0.2 in all CMakeLists.txt
  * Fix xacro macro instantiation
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 02 Aug 2020 16:00:00 -0000

ros-humble-velodyne-description (1.0.9-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Mar 2019 16:00:00 -0000

ros-humble-velodyne-description (1.0.8-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 07 Sep 2018 16:00:00 -0000

ros-humble-velodyne-description (1.0.7-1bookworm) bookworm; urgency=high

  * Added GPU support
  * Updated inertia tensors for VLP-16 and HDL-32E to realistic values
  * Removed unnecessary file extraction code in cmake
  * Contributors: Kevin Hallenbeck, Max Schwarz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 02 Jul 2018 16:00:00 -0000

ros-humble-velodyne-description (1.0.6-1bookworm) bookworm; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 16 Oct 2017 16:00:00 -0000

ros-humble-velodyne-description (1.0.5-1bookworm) bookworm; urgency=high

  * Increased minimum collision range to prevent self-clipping when in motion
  * Added many URDF parameters, and set example sample count to reasonable values
  * Launch rviz with gazebo
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 04 Sep 2017 16:00:00 -0000

ros-humble-velodyne-description (1.0.4-1bookworm) bookworm; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 23 Apr 2017 16:00:00 -0000

ros-humble-velodyne-description (1.0.3-1bookworm) bookworm; urgency=high

  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 12 Aug 2016 16:00:00 -0000

ros-humble-velodyne-description (1.0.2-1bookworm) bookworm; urgency=high

  * Moved M_PI property out of macro to support multiple instances
  * Materials caused problems with more than one sensors. Removed.
  * Added example urdf and gazebo
  * Changed to DAE meshes
  * Added meshes. Added HDL-32E.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Feb 2016 16:00:00 -0000

=== debian/control ===
Source: ros-humble-velodyne-description
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/velodyne_description
Standards-Version: 3.9.2

Package: ros-humble-velodyne-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: URDF and meshes describing Velodyne laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-velodyne-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-velodyne-description//opt/ros/humble/opt/velodyne_description/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
